Bug 150961 - With kernel 2.6.10-1.770_FC2 ehci_hcd causes a storm of "irq status -84" messages
With kernel 2.6.10-1.770_FC2 ehci_hcd causes a storm of "irq status -84" mess...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-12 17:13 EST by Michal Jaegermann
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-03-12 17:13:20 EST
Description of problem:

Acer Travelmate 230 is doing a passable suspend as long as
ehci_hcd module is removed before an attempt as described
in more details elsewhere (see bug #124820).

With older kernels it was possible after a resume to insert
ehci_hcd module back.  I am not sure if it was really working
but at least I did not observe nasty consequences.

After an update to a kernel-2.6.10-1.770_FC2 an attempt to do
so is causing the following:

kernel: ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) ->
IRQ 11
 kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
 kernel: ehci_hcd 0000:00:1d.7: irq 11, pci mem 0xd0080000
 kernel: ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus
number 4
 kernel: ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI 1.00, driver
26 Oct 2004
 kernel: drivers/usb/input/hid-core.c: input irq status -84 received
 kernel: hub 4-0:1.0: USB hub found
 kernel: hub 4-0:1.0: 6 ports detected
 kernel: drivers/usb/input/hid-core.c: input irq status -84 received
 last message repeated 1311 times
 last message repeated 72 times
 kernel: ehci_hcd 0000:00:1d.7: remove, state 1
 kernel: usb usb4: USB disconnect, address 1
 kernel: drivers/usb/input/hid-core.c: input irq status -84 received
 last message repeated 2 times
 kernel: ehci_hcd 0000:00:1d.7: USB bus 4 deregistered
 kernel: drivers/usb/input/hid-core.c: input irq status -84 received
 last message repeated 1257 times

and "irq status -84 received" does not stop even if ehci_hcd
is removed and a machine becomes basically useless.

Before a suspend removing and inserting ehci_hcd apparently can
be done quietly twice.  After that one sees:

ehci_hcd 0000:00:1d.7: USB bus 4 deregistered
ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) -> IRQ 11
ehci_hcd 0000:00:1d.7: EHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: irq 11, pci mem 0xd0080000
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 4
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI 1.00, driver 26 Oct 2004
drivers/usb/input/hid-core.c: input irq status -84 received
drivers/usb/input/hid-core.c: input irq status -84 received
drivers/usb/input/hid-core.c: input irq status -84 received
drivers/usb/input/hid-core.c: input irq status -84 received
drivers/usb/input/hid-core.c: input irq status -84 received
usb 1-2: USB disconnect, address 4
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 6 ports detected
usb 1-2: new low speed USB device using uhci_hcd and address 5

and every subseqent try apparently muliplies a number of
"irq status -84" by a factor of two and a bit but this still
stabilizes as opposed to doing that after a return from a suspend.

After a suspend floppy still does not work. See bug #127163 :-(.

Version-Release number of selected component (if applicable):
kernel 2.6.10-1.770_FC2

How reproducible:
As described above.
Comment 1 Warren Togami 2005-03-12 17:23:28 EST
http://people.redhat.com/davej/kernels/Fedora/
Please try this.
Comment 2 Michal Jaegermann 2005-03-12 19:00:14 EST
> Please try this.

The only one there for FC2 is currently the same 2.6.10-1.770_FC2,
I am afraid (and this is clearly the same kernel and not another
package with the same name).
Comment 3 Warren Togami 2005-03-12 19:04:07 EST
Sorry, I didn't realize davej didn't make a 2.6.11 FC2 yet.
Comment 4 Dave Jones 2005-03-12 19:24:39 EST
given the effort involved in getting all of userspace up to date, and
end-of-life of FC2 not being that far away, I'm in two minds about
doing a 2.6.11 update for it.  On the other hand, there are a lot of
outstanding bugs that would be fixed by rebasing.

Comment 5 Warren Togami 2005-03-13 02:07:14 EST
FC2 userspace would need updates in order to support the 2.6.11 kernel?
Comment 6 Dave Jones 2005-03-13 02:56:35 EST
there are always needed updates when we rebase.
At the least, wireless tools would need updating, as the ABI changed.
Comment 7 Michal Jaegermann 2005-03-13 13:20:27 EST
There are no reasons to believe that kernel-2.6.10-1.770_FC3,
as opposed to kernel-2.6.10-1.770_FC2, would behave here in a really
different way.  Simply on a laptop I observed that behaviour there
is now the later and this is not an installation where I can muck
with it at will.  With a different Acer laptop and FC3 so far
I could not get any form of suspension working at all  (I thought
that I wrote a corresponding report but I could not find it now).
Comment 8 Dave Jones 2005-04-16 01:11:59 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 9 Michal Jaegermann 2005-09-11 22:40:06 EDT
The problem described does not happen with 2.6.12-1.1447_FC4 (but see
bug #168063 for things which seems to be somewhat related).

Note You need to log in before you can comment on or make changes to this bug.